# gcu::DialogOwner Class Reference

`#include <gcu/dialog-owner.h>`

Inheritance diagram for gcu::DialogOwner:

List of all members.

## Public Member Functions
Dialog * | GetDialog (string name)

## Detailed Description

This class is the base class for objects owning dialogs. It is aimed at ensuring that each dialog is unique and that when the owner is destroyed, its dialogs are closed.

Definition at line 43 of file dialog-owner.h.

## Member Function Documentation

Dialog* gcu::DialogOwner::GetDialog | ( | string | name | ) |

Parameters:

  | name | the name associated to the Dialog.

Returns:
  the Dialog instance associated with name or NULL if there is none.

The documentation for this class was generated from the following file:

- dialog-owner.h